# Generated by Django 3.1.7 on 2021-04-14 15:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='IspitniRok',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('naziv', models.TextField(max_length=256)),
                ('pocetak', models.DateField()),
            ],
            options={
                'ordering': ['pocetak'],
            },
        ),
        migrations.CreateModel(
            name='Lokacija',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('skracenica', models.TextField(max_length=8)),
                ('lokacija', models.TextField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='Smer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('skracenica', models.TextField(max_length=8)),
                ('naziv', models.TextField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Ispit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('naziv', models.TextField(max_length=256)),
                ('datum', models.DateField()),
                ('vreme', models.TimeField()),
                ('lokacije', models.ManyToManyField(to='examinator.Lokacija')),
                ('rok', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='examinator.ispitnirok')),
                ('smerovi', models.ManyToManyField(to='examinator.Smer')),
            ],
        ),
    ]
